Subject: bug#29581: 26.0.90; SVG file can cause emacs to crash (imagemagick)

From: Noam Postavsky <[email-masked]>
Date: Wed, 13 Dec 2017 11:43:03 -0500

On Wed, Dec 13, 2017 at 6:00 AM, Tobias Zawada <[email-masked]> wrote:

> Could a catch(...) around library calls avoid that emacs crashes?

What is "a catch(...)"? Do you mean the C++ construct[1]? Neither
imagemagick (afaik) nor Emacs are in C++. And even if they were C++,
catch does not help with segfaults.

[1]: http://en.cppreference.com/w/cpp/language/try_catch